#include <stdio.h>

int main() {
    int arr[4][4];
    int sum = 0;
	int i,j=0;
    // 输入二维数组元素值
    for (i = 0; i < 4; i++) {
        for ( j = 0; j < 4; j++) {
            scanf("%d", &arr[i][j]);
        }
    }

    // 计算主对角线元素和
    for ( i = 0; i < 4; i++) {
        sum += arr[i][i];
    }

    printf("%d", sum);

    return 0;
}
